[Prev: FIELDSEND] | [Resources][TOC] | [Next: FIELDSTYLES]

# FIELDSTORE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<FIELDSTORE>`
  field-name
  field-name
  ...
  `</FIELDSTORE>`

Command-line Option

  N/A

## Description

FIELDSTORE specifies the additional message header fields to store in the database. Header fields stored can be retrieved via the `$MSGHFIELD$` resource variable.

Each line of the FIELDSTORE element is the exact case-insensitive name of a message header field to store. If a field occurs multiple times in a message header, then all values for the field are concatenated when stored.

If a field name is an address field, then the resources ADDRESSMODIFYCODE, MAILTO, MAILTOURL, and SPAMMODE apply to the value when referenced by the `$MSGHFIELD$` resource variable.

## Default Setting

Nil

## Resource Variables

N/A

## Examples

MHonArc already stores some message header information (e.g. `Subject`, `Date`, `From`, and `Message-Id`) and provides resource variables to access the information (e.g. `$SUBJECT$`, `$DATE$`, `$FROM$`, and `$MSGID$`, respectively). But it is sometimes useful to capture fields like `To` or `Cc` for use in page layout.

The following resource settings capture the `To` and `Cc` fields and then displays the information in the main index:

    <FieldStore>
    to
    cc
    </FieldStore>

    <LiTemplate>
    <li><strong>$SUBJECT$</strong>
    <ul>
        <li><em>To</em>: $MSGHFIELD(CUR;to)$</li>
        <li><em>Cc</em>: $MSGHFIELD(CUR;cc)$</li>
    </ul>
    </li>
    </LiTemplate>

## Version

2.6.0

## See Also

ADDRESSMODIFYCODE, MAILTO, MAILTOURL, SPAMMODE

[Prev: FIELDSEND] | [Resources][TOC] | [Next: FIELDSTYLES]